---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Get Available Subscription Plans

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/api/v1.3/subscription-plan/search": {
      "get": {
        "tags": [
          "Subscription Plan"
        ],
        "parameters": [
          {
            "name": "merchant_id",
            "schema": {
              "$ref": "#/components/schemas/merchant_id"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "application_key",
            "schema": {
              "$ref": "#/components/schemas/application_key"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "plan_id",
            "schema": {
              "$ref": "#/components/schemas/plan_id"
            },
            "in": "query"
          },
          {
            "name": "name",
            "schema": {
              "$ref": "#/components/schemas/plan_name"
            },
            "in": "query"
          },
          {
            "name": "billing_cycle",
            "schema": {
              "$ref": "#/components/schemas/billing_cycle"
            },
            "in": "query"
          },
          {
            "name": "trial_period",
            "schema": {
              "$ref": "#/components/schemas/trial_period_filter"
            },
            "in": "query"
          },
          {
            "name": "currency",
            "description": "Filter by one or multiple currencies upto limit of 64.Example: USD, EUR",
            "schema": {
              "type": "array",
              "maxItems": 64,
              "items": {
                "type": "string",
                "maxLength": 4
              }
            },
            "style": "form",
            "explode": false,
            "in": "query"
          },
          {
            "name": "subscription_plan_status",
            "schema": {
              "$ref": "#/components/schemas/subscription_plan_status"
            },
            "in": "query",
            "example": "active"
          },
          {
            "name": "sort",
            "schema": {
              "$ref": "#/components/schemas/sort"
            },
            "in": "query"
          },
          {
            "name": "page",
            "schema": {
              "$ref": "#/components/schemas/page"
            },
            "in": "query"
          },
          {
            "name": "per_page",
            "schema": {
              "$ref": "#/components/schemas/per_page"
            },
            "in": "query"
          },
          {
            "name": "version",
            "schema": {
              "$ref": "#/components/schemas/version"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "timestamp",
            "schema": {
              "$ref": "#/components/schemas/timestamp"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_for_subscriptions"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-get-available-subscription-plans-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "getAvailableSubscriptionPlans",
        "summary": "Get Available Subscription Plans"
      }
    }
  },
  "components": {
    "schemas": {
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "amount": {
        "description": "Transaction amount in cents.\n\n*__Note__*: *For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.*",
        "maxLength": 20,
        "type": "integer"
      },
      "currency": {
        "description": "**Base Currency**: The user's account currency on the merchant site.",
        "maxLength": 10,
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "plan_id": {
        "description": "Subscription Plan ID",
        "maxLength": 32,
        "type": "string",
        "example": "i2VANeFxKR1aZGoH"
      },
      "subscription_plan_status": {
        "description": "Subscription Plan Status. Available status options:\r\n- `active` - Activate the subscription plan. \r\n- `inactive` - Deactivate the subscription plan. \r\n- `deleted` - Delete the subscription plan",
        "enum": [
          "active",
          "inactive",
          "deleted"
        ],
        "type": "string"
      },
      "expiration_cycles": {
        "description": "Number of weeks after which billing cycle will be expired.",
        "maxLength": 2,
        "type": "integer"
      },
      "billing_cycle": {
        "description": "The frequency of charging within the subscription plan. List of possible values:\r\n- Weekly (weekly)\r\n- Monthly (monthly)\r\n- Every 3 months (every_3_months)\r\n- Every 6 months (every_6_months)\r\n- Yearly (yearly)",
        "maxLength": 14,
        "type": "string",
        "enum": [
          "weekly",
          "monthly",
          "every_3_months",
          "every_6_months",
          "yearly"
        ]
      },
      "retries_number": {
        "description": "Number of retries in case of failure before disabling the plan for the customer. **Default value - 3**",
        "maxLength": 2,
        "type": "integer"
      },
      "retries_delay_days": {
        "description": "Delay between the retries in days. **Default value - 1**",
        "maxLength": 2,
        "type": "integer"
      },
      "created": {
        "description": "Created Plan date (unix timestamp, seconds)",
        "maxLength": 11,
        "type": "integer"
      },
      "modified": {
        "description": "Last modified plan date (unix timestamp, seconds)",
        "maxLength": 11,
        "type": "integer"
      },
      "inactive_subscription_lifetime": {
        "description": "Number of days before changing the subscription status from inactive to canceled.",
        "maxLength": 2,
        "type": "integer"
      },
      "subscription_status_failed_payments": {
        "description": "Status of subscriptions in case of failure after all the retries. List of possible value:\r\n- inactive (that can be re-activated)\r\n- canceled (that cannot be re-activated)",
        "maxLength": 8,
        "type": "string",
        "enum": [
          "inactive",
          "canceled"
        ]
      },
      "page": {
        "description": "Current results page. First page is 1; values lower than 1 are treated as 1.",
        "maxLength": 3,
        "minimum": 1,
        "type": "integer"
      },
      "per_page": {
        "description": "Count of entities for one page",
        "maxLength": 3,
        "type": "integer"
      },
      "sort": {
        "description": "In case the value starts from minus (-), this means sorting by DESC",
        "maxLength": 32,
        "type": "string"
      },
      "trial_period": {
        "description": "Number of days/months without charging the client. List of possible values:\r\n- null - meaning the trial period is not enabled\r\n- [1, 2, 3, ... N] - the number of days/months without charging",
        "maxLength": 2,
        "type": "integer"
      },
      "trial_period_filter": {
        "description": "Filter by trial period presence when searching subscription plans:\r\n- 1 - trial period exists\r\n- 0 - trial period does not exist",
        "type": "integer",
        "enum": [
          0,
          1
        ],
        "example": 1
      },
      "plan_name": {
        "description": "Description of the subscription plan",
        "maxLength": 32,
        "type": "string"
      },
      "plan_description": {
        "title": "description",
        "description": "Subscription Plan name",
        "maxLength": 32,
        "type": "string"
      },
      "trial_period_cycle": {
        "description": "Trial Period Cycle.Cycle for attempts in the trial period without charging the client.List of possible values:\r\n- null - meaning the trial period is not enabled\r\n- days\r\n- months",
        "type": "string",
        "enum": [
          null,
          "days",
          "months"
        ]
      },
      "object_response_200_ok_get_available_subscription_plans": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "required": [
              "plans",
              "page_count",
              "records_count"
            ],
            "type": "object",
            "properties": {
              "plans": {
                "description": "Array of available subscription plans",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/property_subscription_plan"
                }
              },
              "page": {
                "$ref": "#/components/schemas/page"
              },
              "per_page": {
                "$ref": "#/components/schemas/per_page"
              },
              "page_count": {
                "$ref": "#/components/schemas/page_count"
              },
              "records_count": {
                "$ref": "#/components/schemas/records_count"
              }
            }
          }
        ]
      },
      "page_count": {
        "description": "Count of pages in result",
        "maxLength": 3,
        "type": "integer"
      },
      "records_count": {
        "description": "Count of entities in full result",
        "maxLength": 3,
        "type": "integer"
      },
      "property_subscription_plan_price": {
        "title": "subscription plan price",
        "required": [
          "amount",
          "currency",
          "price_id"
        ],
        "type": "object",
        "properties": {
          "price_id": {
            "description": "Price ID.",
            "maxLength": 32,
            "type": "string"
          },
          "amount": {
            "$ref": "#/components/schemas/amount"
          },
          "currency": {
            "$ref": "#/components/schemas/currency"
          }
        }
      },
      "property_subscription_plan": {
        "required": [
          "plan_id",
          "application_key"
        ],
        "type": "object",
        "properties": {
          "plan_id": {
            "$ref": "#/components/schemas/plan_id"
          },
          "application_key": {
            "$ref": "#/components/schemas/application_key"
          },
          "description": {
            "$ref": "#/components/schemas/plan_description"
          },
          "billing_cycle": {
            "$ref": "#/components/schemas/billing_cycle"
          },
          "prices": {
            "description": "Array of subscription plan price",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/property_subscription_plan_price"
            }
          },
          "trial_period": {
            "$ref": "#/components/schemas/trial_period"
          },
          "trial_period_cycle": {
            "$ref": "#/components/schemas/trial_period_cycle"
          },
          "expiration_cycles": {
            "$ref": "#/components/schemas/expiration_cycles"
          },
          "retries_number": {
            "$ref": "#/components/schemas/retries_number"
          },
          "retries_delay_days": {
            "$ref": "#/components/schemas/retries_delay_days"
          },
          "subscription_status_failed_payments": {
            "$ref": "#/components/schemas/subscription_status_failed_payments"
          },
          "inactive_subscription_lifetime": {
            "$ref": "#/components/schemas/inactive_subscription_lifetime"
          },
          "subscription_plan_status": {
            "$ref": "#/components/schemas/subscription_plan_status"
          },
          "created_at": {
            "$ref": "#/components/schemas/created"
          },
          "updated_at": {
            "$ref": "#/components/schemas/modified"
          }
        }
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "property_req_header_signature_params_for_subscriptions": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-get-available-subscription-plans-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_get_available_subscription_plans"
            },
            "examples": {
              "success response": {
                "value": {
                  "status": 0,
                  "description": "Subscription plans fetched successfully.",
                  "plans": [
                    {
                      "plan_id": "i2VANeFxKR1aZGoH",
                      "application_key": "test-application",
                      "name": "Plan 1",
                      "description": "Basic plan for casino",
                      "billing_cycle": "weekly",
                      "prices": [
                        {
                          "price_id": "1A8Nxpaf",
                          "amount": 20000,
                          "currency": "EUR"
                        },
                        {
                          "price_id": "JWolofvu",
                          "amount": 19800,
                          "currency": "USD"
                        },
                        {
                          "price_id": "0wvCJ1aU",
                          "amount": 93500,
                          "currency": "PLN"
                        }
                      ],
                      "trial_period": 14,
                      "trial_period_cycle": "days",
                      "expiration_cycles": 12,
                      "retries_number": 3,
                      "retries_delay_days": 1,
                      "subscription_status_failed_payments": "inactive",
                      "inactive_subscription_lifetime": 14,
                      "subscription_plan_status": "active",
                      "created_at": 1680712861,
                      "updated_at": 1680723151
                    },
                    {
                      "plan_id": "yUqO6XZC3uvDukFF",
                      "application_key": "test-application",
                      "name": "Plan 2",
                      "description": "Basic plan for streaming service",
                      "billing_cycle": "monthly",
                      "prices": [
                        {
                          "price_id": "KdGw29Fc",
                          "amount": 4000,
                          "currency": "EUR"
                        },
                        {
                          "price_id": "BwIkLfhR",
                          "amount": 39600,
                          "currency": "USD"
                        },
                        {
                          "price_id": "wimNgR4J",
                          "amount": 187000,
                          "currency": "PLN"
                        }
                      ],
                      "trial_period": 7,
                      "trial_period_cycle": "days",
                      "expiration_cycles": 12,
                      "retries_number": 3,
                      "retries_delay_days": 1,
                      "subscription_status_failed_payments": "inactive",
                      "inactive_subscription_lifetime": 7,
                      "subscription_plan_status": "active",
                      "created_at": 1680712861,
                      "updated_at": 1680723151
                    }
                  ],
                  "page": 1,
                  "per_page": 20,
                  "page_count": 13,
                  "records_count": 250,
                  "version": 1.3,
                  "timestamp": 1680712861
                }
              },
              "failure response": {
                "value": {
                  "status": -1,
                  "description": "Validation failed. Application Key cannot be empty."
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```